# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Class GphotoEntry<E extends GphotoEntry<E>>

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<E>
                      com.google.gdata.data.photos.GphotoEntry<E>

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry, AtomData, Extensible, GphotoData

Direct Known Subclasses:
  AlbumEntry, CommentEntry, PhotoEntry, TagEntry, UserEntry

    public class GphotoEntry<E extends GphotoEntry<E>>

extends MediaEntry<E>
implements GphotoData, AtomData

The base entry class for Picasaweb data. This class provides access to the fields that all Picasaweb data objects contain, as well as helper methods for subclasses to use. It is also responsible for making the handling of the description field consistent across both atom and RSS, allowing the rss entries to match the atom entries in a more consistent fashion.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`` `GphotoEntry()` Constructs a new Entry instance.
`protected` `GphotoEntry(BaseEntry<?> sourceEntry)` Constructs a new entry instance using the source for a shallow copy.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`void` `generateRss(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates XML in the RSS format.
`GphotoEntry<?>` `getAdaptedEntry()` Returns an adapted entry that is a subclass of GphotoEntry.
`TextConstruct` `getDescription()` Description on an entry is just the summary.

`

`<F extends GphotoFeed<F>> F`

`

`getFeed(java.lang.Class<F> feedClass, java.lang.String... kinds)`
Get the feed of entries related to this entry.

`Link` `getFeedLink()` Retrieves the feed link.
`java.lang.String` `getGphotoId()` Return the gphoto:id.
`void` `setDescription(TextConstruct description)` Description on an entry is just the summary.
`void` `setGphotoId(java.lang.Long id)` Set the gphoto:id.
`void` `setGphotoId(java.lang.String id)` Set the gphoto:id.

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.photos.AtomData
`getAuthors, getCategories, getContributors, getId, getLinks, getRights, getTitle, getUpdated, setId, setRights, setTitle, setUpdated`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Constructor Detail

### GphotoEntry

    public GphotoEntry()

  Constructs a new Entry instance.

### GphotoEntry

    protected GphotoEntry(BaseEntry<?> sourceEntry)

  Constructs a new entry instance using the source for a shallow copy.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Specified by:
    `declareExtensions` in interface `Extensible`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getFeedLink

    public Link getFeedLink()

  Retrieves the feed link. This is a link to the entry-as-feed, if this entry has associated data.

### getFeed

    public <F extends GphotoFeed<F>> F getFeed(java.lang.Class<F> feedClass,
                                               java.lang.String... kinds)
                                    throws java.io.IOException,
                                           ServiceException

  Get the feed of entries related to this entry. The kinds parameter is a vararg array of associated kinds to return as entries. If the kinds parameter is empty, the default kind associated with this feed class will be used.

  Throws:
    `java.io.IOException`
    `ServiceException`

### getGphotoId

    public java.lang.String getGphotoId()

  Return the gphoto:id.

  Specified by:
    `getGphotoId` in interface `GphotoData`
  Returns:
    the Gphoto id.

### setGphotoId

    public void setGphotoId(java.lang.Long id)

  Set the gphoto:id.

  Specified by:
    `setGphotoId` in interface `GphotoData`
  Parameters:
    `id` - the long version of the id of this feed or entry.

### setGphotoId

    public void setGphotoId(java.lang.String id)

  Set the gphoto:id.

  Specified by:
    `setGphotoId` in interface `GphotoData`
  Parameters:
    `id` - the string version of the id of this feed or entry.

### getDescription

    public TextConstruct getDescription()

  Description on an entry is just the summary.

  Specified by:
    `getDescription` in interface `AtomData`
  Returns:
    the description of the entry or feed.

### setDescription

    public void setDescription(TextConstruct description)

  Description on an entry is just the summary.

  Specified by:
    `setDescription` in interface `AtomData`

### generateRss

    public void generateRss(com.google.gdata.util.common.xml.XmlWriter w,
                            ExtensionProfile extProfile)
                     throws java.io.IOException

  Description copied from class: `BaseEntry`
  Generates XML in the RSS format.

  Overrides:
    `generateRss` in class `BaseEntry<E extends GphotoEntry<E>>`
  Parameters:
    `w` - Output writer.
    `extProfile` - Extension profile.
  Throws:
    `java.io.IOException`

### getAdaptedEntry

    public GphotoEntry<?> getAdaptedEntry()
                                   throws Kind.AdaptorException

  Returns an adapted entry that is a subclass of GphotoEntry.

  Overrides:
    `getAdaptedEntry` in class `BaseEntry<E extends GphotoEntry<E>>`
  Throws:
    `Kind.AdaptorException` - for subclasses to throw.